<template>
    <div>
        <h1>Toast</h1>
        <div class="component">
            <cumulus-toast :body="body"
                :bodyUnsafeHTML="bodyUnsafeHTML"
                :title="title"
                v-on:toast-closed="updateEvent($event)" />
        </div>
        <div class="props">
            <h4>Props</h4>
            <div class="props-content">
                <label>:title</label>
                <input type="text" v-model="title" />
                <label>:body</label>
                <input type="text" v-model="body" />
                <label>:bodyUnsafeHTML</label>
                <input type="text" v-model="bodyUnsafeHTML" />
            </div>
        </div>
        <div class="events">
            <h4>Events</h4>
            <pre ref="eventText"></pre>
        </div>
    </div>
</template>

<script>
import CumulusToast from '../../components/toast/toast.vue';

export default {
    name: 'ToastSandbox',

    components: { CumulusToast },

    data() {
        return {
            body: 'My Body',
            bodyUnsafeHTML: undefined,
            title: 'My Title',
        };
    },

    methods: {
        updateEvent(event) {
            const eventArea = this.$refs.eventText;
            eventArea.innerText = `toast-closed => ${event}`;
        },
    },
};

</script>
